#
# spec file for package cmatrix
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cmatrix
Version:        2.0
Release:        1.1
Summary:        The Matrix screensaver
License:        GPL-3.0-only
Group:          Amusements/Games/Other
URL:            https://github.com/abishekvashok/cmatrix
Source:         %{name}-%{version}.tar.xz
Patch0:         fix_compilation_errors.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  kbd
BuildRequires:  m4
BuildRequires:  mkfontdir
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ncurses)
Requires:       filesystem
Requires:       kbd

%description
CMatrix is based on the screensaver from The Matrix website. It shows text flying in and out in a terminal like as seen in "The Matrix" movie. It can scroll lines all at the same rate or asynchronously and at a user-defined speed

%prep
%setup -q

%autopatch -p1

%build
autoreconf -vfi
%configure --enable-fonts
%make_build

%install
mkdir -p %{buildroot}%{_datadir}/fonts/misc
mkdir -p %{buildroot}%{_datadir}/kbd/consolefonts

%make_install

%files
%license COPYING
%doc ChangeLog README
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/fonts/misc/*
%dir %{_datadir}/fonts/misc
%{_datadir}/kbd/consolefonts/*

%changelog
* Fri Jan 10 2025 alessio.biancalana@suse.com
- Apply the spec-cleaner to the specfile
- Migrate the OBS services to `disabled`
* Tue Jun  8 2021 Erico Mendonca <erico.mendonca@suse.com>
- Updating the OBS packaging.
- fix_compilation_errors.patch: fix lvalue errors during compilation; fix fonts directory.
* Sat Sep  8 2012 mrdocs@opensuse.org
- fix make install macro to build on SLE
* Fri Sep  7 2012 toganm@opensuse.org
- added automake and autoconf to BuildRequires for 12.2 and Factory
  builds
- corrected licence to spdx format
* Mon Apr 11 2011 puzel@novell.com
- use spec-cleaner
- add cmatrix-no-TIME-DATE.patch (prevent unnecessary rebuilds)
* Wed Jan  7 2009 puzel@suse.cz
- fix rpmlint warnings
* Fri Mar 30 2007 rguenther@suse.de
- add ncurses-devel BuildRequires
* Thu Aug 10 2006 mfabian@suse.de
- move fonts to /usr/share/fonts/misc (because of X11R7).
* Mon Jul 24 2006 mmarek@suse.de
- workaround build with modular Xorg
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Sep 28 2004 uli@suse.de
- no consolefonts on s390*
* Fri Jul 23 2004 ro@suse.de
- added kbd to neededforbuild
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Mon Feb 10 2003 vbobek@suse.cz
- update to version 1.2a:
  * bugfixes
  * matrix size is now allocated dynamically
* Thu Feb 21 2002 pmladek@suse.cz
- fixed location of console fonts
- fixed file list
* Mon Nov  5 2001 pmladek@suse.cz
- fixed for automake 1.5
* Fri Mar 16 2001 pmladek@suse.cz
- new package
- added buildroot
